<!DOCTYPE html>
<html>
<title> Task 43- Pizza 365 project</title>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1">

<!-- font -->
<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Lato">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

<!-- Bootstrap -->
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
<link rel="stylesheet" href="style.css">
<script src="script.js"></script>

<body>

  <!-- Menu -->
  <div class="container-fluid bg-light">
    <div class="row">
      <div class="col-sm-12">
        <nav class="navbar fixed-top navbar-expand-lg navbar-dark bg-danger">
          <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav"
            aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
          </button>
          <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav nav-fill w-100">
              <li class="nav-item active">
                <a class="nav-link" href="#">Trang chủ</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#combo">Combo</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#loaipizza">Loại Pizza</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" type="button" id="order-detail">Gửi đơn hàng</a>
              </li>
            </ul>
          </div>
        </nav>
      </div>
    </div>
  </div>

  <!-- Content -->
  <div class="container" style="padding: 100px 0 50px 0;">
    <div class="row">
      <div class="col-sm-12">
        <div class="row">
          <!-- Title row home -->
          <div class="col-sm-12 text-red">
            <h1><b>Pizza 365</b></h1>
            <h4><i>Truly italian !</i></h4>
          </div>

          <!-- Slide row home -->
          <div class="col-sm-12">
            <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
              <ol class="carousel-indicators">
                <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="1"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="2"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="3"></li>
              </ol>
              <div class="carousel-inner">
                <div class="carousel-item active">
                  <img class="d-block w-100" src="images/1.jpg" alt="First slide">
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/2.jpg" alt="Second slide">
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/3.jpg" alt="Third slide">
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/4.jpg" alt="fourth slide">
                </div>
              </div>
              <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
                <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                <span class="sr-only">Previous</span>
              </a>
              <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
                <span class="carousel-control-next-icon" aria-hidden="true"></span>
                <span class="sr-only">Next</span>
              </a>
            </div>
          </div>

          <!-- Title what we offer -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-2 border-bottom border-danger text-red">Tại sao lại Pizza 365:</b></h2>
          </div>

          <!-- Content what we offer -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-3 p-4 bg-dadang text-white border">
                <h3 class="p-2">Đa dạng</h3>
                <p class="p-2">Số lượng Pizza đa dạng, có đầy đủ các loại pizza đang hot nhât hiện nay.</p>
              </div>
              <div class="col-sm-3 p-4 bg-chatluong text-white border">
                <h3 class="p-2">Chất lượng</h3>
                <p class="p-2">Nguyên liệu sạch 100%, rõ nguồn gốc, quy trình chế biến đảm bảo vệ sinh an toàn thực phẩm.</p>
              </div>
              <div class="col-sm-3 p-4 bg-huongvi text-white border">
                <h3 class="p-2">Hương vị</h3>
                <p class="p-2">Đảm bảo hương vị ngon - độc - lạ, mà bạn chỉ có thể trải nghiệm ở Pizza365.</p>
              </div>
              <div class="col-sm-3 p-4 bg-dichvu text-white border">
                <h3 class="p-2">Dịch vụ</h3>
                <p class="p-2">Nhân viên thân thiện, nhà hàng hiện đại. Dịch vụ giao hàng nhanh chất lượng, tân tiến.</p>
              </div>
            </div>
          </div>
        </div>

        <div id="plans" class="row">
          <!-- Title what we offer -->
          <div class="col-sm-12 text-center p-4 mt-4 text-red">
            <h2><b class="p-1 border-bottom border-danger">Chọn size Pizza</b></h2>
            <p><span class="p-2">Chọn combo pizza phù hợp với nhu cầu của bạn.</span></p>
          </div>
          <!-- Content what we offer -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-4">
                <div class="card">
                  <div class="card-header bg-danger text-white text-center">
                    <h3>S ( Small size)</h3>
                  </div>
                  <div class="card-body text-center">
                    <ul class="list-group list-group-flush">
                      <li class="list-group-item">Đường kính <b>20cm</b></li>
                      <li class="list-group-item">Sườn nướng <b>1</b></li>
                      <li class="list-group-item">Salad <b>200g</b></li>
                      <li class="list-group-item">Nước ngọt <b>2</b></li>
                      <li class="list-group-item"><h1><b>VNĐ 150.000</b></h1></li>
                    </ul>
                  </div>
                  <div class="card-footer text-center">
                    <button id="btn-small" class="btn btn-danger form-control" >Chọn</button>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card">
                  <div class="card-header bg-danger text-white text-center">
                    <h3>M (Medium size)</h3>
                  </div>
                  <div class="card-body text-center">
                    <ul class="list-group list-group-flush">
                      <li class="list-group-item">Đường kính <b>25cm</b></li>
                      <li class="list-group-item">Sườn nướng <b>4</b></li>
                      <li class="list-group-item">Salad <b>300g</b></li>
                      <li class="list-group-item">Nước ngọt <b>3</b></li>
                      <li class="list-group-item"><h1><b>VNĐ 200.000</b></h1></li>
                    </ul>
                  </div>
                  <div class="card-footer text-center">
                    <button id="btn-medium" class="btn btn-danger form-control" >Chọn</button>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card">
                  <div class="card-header bg-danger text-white text-center">
                    <h3>L ( Large size )</h3>
                  </div>
                  <div class="card-body text-center">
                    <ul class="list-group list-group-flush">
                      <li class="list-group-item">Đường kính <b>30cm</b></li>
                      <li class="list-group-item">Sườn nướng <b>8</b></li>
                      <li class="list-group-item">Salad <b>500g</b></li>
                      <li class="list-group-item">Nước ngọt <b>4</b></li>
                      <li class="list-group-item"><h1><b>VNĐ 250.000</b></h1></li>
                    </ul>
                  </div>
                  <div class="card-footer text-center">
                    <button id="btn-large" class="btn btn-danger form-control" >Chọn</button>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>

        <div id="about" class="row">
          <!-- Title Who We Are -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-2 border-bottom border-danger text-red">Chọn loại Pizza</b></h2>
          </div>

          <!-- Content Who We Are -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-4">
                <div class="card w-100" style="width: 18rem; height: 32rem;">
                  <img src="images/seafood.jpg" class="card-img-top">
                  <div class="card-body">
                    <h3>OCEAN MANIA</h3>
                    <p>PIZZA HẢI SẢN XỐT MAYONNAISE</p>
                    <p style="height: 80px;">Xốt cà chua, Phô mai Mozzarella, Tôm, Mực, Thanh cua, Hành tây.</p>
                    <p><button id="btn-ocean" class="btn btn-danger w-100" >Chọn</button></p>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card w-100" style="width: 18rem; height: 32rem;">
                  <img src="images/hawaiian.jpg" class="card-img-top">
                  <div class="card-body">
                    <h3>HAWAIIAN</h3>
                    <p>PIZZA DĂM BÔNG DỨA KIỂU HAWAII</p>
                    <p style="height: 80px;">Xốt cà chua, Phô mai Mozzarella, Thịt dăm bông, Thơm</p>
                    <p><button id="btn-hawai" class="btn btn-danger w-100" >Chọn</button></p>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card w-100" style="width: 18rem; height: 32rem;">
                  <img src="images/bacon.jpg" class="card-img-top">
                  <div class="card-body">
                    <h3>CHEESY CHECKEN BACON</h3>
                    <p>PIZZA GÀ PHÔ MAI THỊT HEO XÔNG KHÓI</p>
                    <p>Xốt phô mai, Thịt gà, Thịt heo muối, Phô mai Mozzarella, Cà chua</p>
                    <p><button id="btn-bacon" class="btn btn-danger w-100">Chọn</button></p>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>

        <div class="col-sm-12 text-center p-4 mt-4">
          <h2><b class="p-2 border-bottom border-danger text-red">Đồ uống</b></h2>
        </div>
  
        <div class="col-sm-12">
          <select id="select-drink" class="form-control">
            <option value="0">-- Chọn đồ uống --</option>
          </select>
        </div>

        <div id="contact" class="row">
          <!-- Title Contact Us -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-2 border-bottom border-danger text-red">Gửi đơn hàng</b></h2>
          </div>

          <!-- Content Contact Us -->
          <div class="col-sm-12 p-2 jumbotron">
            <div class="row">
              <div class="col-sm-12">
                <div class="form-group">
                  <label for="fullname">Họ và tên</label>
                  <input type="text" class="form-control" id="inp-fullname" placeholder="Họ và tên">
                </div>
                <div class="form-group">
                  <label for="email">Email</label>
                  <input type="text" class="form-control" id="inp-email" placeholder="Email">
                </div>
                <div class="form-group">
                  <label for="dien-thoai">Điện thoại</label>
                  <input type="text" class="form-control" id="inp-dien-thoai" placeholder="Điện thoại">
                </div>
                <div class="form-group">
                  <label for="dia-chi">Địa chỉ</label>
                  <input type="text" class="form-control" id="inp-dia-chi" placeholder="Địa chỉ">
                </div>
                <div class="form-group">
                  <label for="message">Lời nhắn</label>
                  <input type="text" class="form-control" id="inp-message" placeholder="Lời nhắn">
                </div>
                <div class="form-group">
                  <label for="voucher">Mã giảm giá (voucher ID )</label>
                  <input type="text" class="form-control" id="inp-voucher" placeholder="Mã giảm giá">
                </div>
                <button type="button" id="btn-gui" class="btn btn-danger w-100" >Gửi</button>
              </div>
            </div>
          </div>
          <!-- vùng hiển thị thông tin đơn hàng(order) -->
          <div id="div-container-order" class="container bg-warning p-2 jumbotron" style="display: none;">
            <div id="div-order-infor" class="text-dark p-3">...</div>
            <div class="p-2">
              <button type="button" class="btn btn-info w-100 text-red" onclick="onBtnGuiDonClick()">Gửi đơn</button>
            </div>
          </div>
          <div id="div-container-order-result" class="container bg-info p-2 jumbotron" style="display: none;">
            <div id="div-order-infor-result" class="text-dark p-3 text-center">Cảm ơn bạn đã đặt hàng tại Pizza 365 !</div>
            <div class="row p-2">
              <label class="col-sm-5 text-right">Mã đơn hàng của bạn là: </label>
              <input class="col-sm-4" type="text" id="inp-ma-don-hang" placeholder="...">
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <!-- Footer -->
  <div class="container-fluid bg-danger p-5">
    <div class="row text-center">
      <div class="col-sm-12">
        <h4 class="m-2">Footer</h4>
        <a href="#" class="btn btn-dark m-3"><i class="fa fa-arrow-up"></i>To the top</a>
        <div class="m-2">
          <i class="fa fa-facebook-official w3-hover-opacity"></i>
          <i class="fa fa-instagram w3-hover-opacity"></i>
          <i class="fa fa-snapchat w3-hover-opacity"></i>
          <i class="fa fa-pinterest-p w3-hover-opacity"></i>
          <i class="fa fa-twitter w3-hover-opacity"></i>
          <i class="fa fa-linkedin w3-hover-opacity"></i>
        </div>
        <h6 class="m-2">Powered by Tonnk - Devcamp</h6>
      </div>
    </div>
  </div>
  <!--PHẦN MODAL-->
  <!-- Order Detail modal -->
<div>
  <div id="order-detail-modal" class="modal fade" tabindex="-1">
    <div class="modal-dialog modal-lg">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="h5-modal-title">THÔNG TIN ĐƠN HÀNG</h5>
          <button class="close" data-dismiss="modal">&times;</button>
        </div>
        <div class="modal-body">
          <form>
            <div class="row form-group">
              <div class="col-sm-4">
                <label for="inp-modal-fullname">Họ và tên</label>
              </div>
              <div class="col-sm-8">
                <input type="text" id="inp-modal-fullname" name="inp-modal-fullname" placeholder="Họ và tên" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-sm-4">
                <label for="inp-modal-so-dien-thoai">Số điện thoại</label>
              </div>
              <div class="col-sm-8">
                <input type="text" id="inp-modal-so-dien-thoai" name="inp-modal-so-dien-thoai" placeholder="Số điện thoại" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-sm-4">
                <label for="inp-modal-dia-chi">Địa chỉ</label>
              </div>
              <div class="col-sm-8">
                <input type="text" id="inp-modal-dia-chi" name="inp-modal-dia-chi" placeholder="Địa chỉ" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-sm-4">
                <label for="inp-modal-message">Lời nhắn</label>
              </div>
              <div class="col-sm-8">
                <input type="text" id="inp-modal-message" name="inp-modal-message" placeholder="Lời nhắn" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-sm-4">
                <label for="inp-modal-voucher">Mã giảm giá</label>
              </div>
              <div class="col-sm-8">
                <input type="text" id="inp-modal-voucher" name="inp-modal-voucher" placeholder="Mã giảm giá" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-sm-4">
                <label for="inp-info">Thông tin chi tiết</label>
              </div>
              <div class="col-sm-8">
                <textarea type="text" id="tarea-info" style="height: 150px;" name="tarea-info" class="form-control"></textarea>
              </div>
            </div>
          </form>
        </div>
        <div class="modal-footer">
          <button class="btn btn-danger" data-dismiss="modal">Quay lại</button>
          <button class="btn btn-success" id="btn-tao-don">Tạo đơn</button>
        </div>
      </div>
    </div>
  </div>
</div>
<!-- MODAL KHI ẤN NÚT TẠO ĐƠN-->
<div>
  <div id="create-order-modal" class="modal fade" tabindex="-1">
    <div class="modal-dialog modal-lg">
      <div class="modal-content bg-danger">
        <div class="modal-header">
          <h5 class="modal-title" id="h5-modal-title">Cảm ơn bạn đã đặt hàng tại Pizza365. Mã đơn hàng của bạn là: </h5>
          <button class="close" data-dismiss="modal">&times;</button>
        </div>
        <div class="modal-body">
          <form>
            <div class="row form-group">
              <div class="col-sm-4">
                <label for="inp-modal-ma-don-hang">Mã đơn hàng</label>
              </div>
              <div class="col-sm-8">
                <input type="text" id="inp-modal-ma-don-hang" name="inp-modal-ma-don-hang" placeholder="Mã đơn hàng" class="form-control">
              </div>
            </div>
          </form>
        </div>
        <div class="modal-footer">
        </div>
      </div>
    </div>
  </div>
</div>
  <script>
  
  //   "use strict";

  //   const gREQUEST_STATUS_OK = 200; // GET & PUT success
  //   const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;
  //   const gBASE_URL = "http://42.115.221.44:8080/devcamp-pizza365/orders";
  //   const gREQUEST_CREATE_SUCCESS = 201;
  //   // bạn có thê dùng để lưu trữ combo được chọn, mỗi khi khách chọn bạn lại đổi giá trị properties của nó
  //   var gSelectedMenuStructure = {
  //     menuName: "",    // S, M, L
  //     duongKinhCM: 0,
  //     suongNuong: 0,
  //     saladGr: 0,
  //     drink: 0,
  //     priceVND: 0
  //   }
  //   // bạn có thể dùng để lưu loại pizza đươc chọn, mỗi khi khách chọn, bạn lại đổi giá trị cho nó
  //   var gSelectedPizzaType = ""
  //   var gOder = {
  //   menuDuocChon: "",
  //   loaiPizza: "",
  //   hoVaTen: "",
  //   email: "",
  //   dienThoai: "",
  //   diaChi: "",
  //   loiNhan: "",
  //   voucherId: "",
  //   priceAnnualVND(){
  //     return gSelectedMenuStructure.priceVND * ( 1 - gDiscount *  0.01 );  
  //   }
  // }
  // var gDiscountVouchers = {};

  // var gDiscount = 0;

  // //hàm cho task 27.80
  // var gObjectRequest = {
  //   kichCo : "",
  //   duongKinh : "",
  //   suon : "",
  //   salad : "",
  //   loaiPizza : "",
  //   idVourcher : "",
  //   idLoaiNuocUong : "",
  //   soLuongNuoc : "",
  //   hoTen : "",
  //   thanhTien : "",
  //   email : "",
  //   soDienThoai : "",
  //   diaChi : "",
  //   loiNhan : "", 
  // }
  // $(document).ready(function(){
  //       //onPageLoading();
  //       $("#btn-small").on("click", function() {
  //           onBtnSmallClick();
  //       });
  //       $("#btn-medium").on("click", function() {
  //           onBtnMediumClick();
  //       });
  //       $("#btn-large").on("click", function() {
  //           onBtnLargeClick();
  //       });
  //   });

  // function onPageLoading(){
  //   "use strict"
  //   //Gọi hàm load loại đồ uống vào select đồ uống
  //   getDrinkList();
  // }

  // function onBtnKiemTraDonClick(){
  //   "use strict"
  //   getSelectedOder(gOder);
  //   if(kiemTraDataOrder(gOder)){
  //     displayOrder(gOder)
  //   }
  // }
  // function onBtnGuiDonClick() {
  //   "use strict";
  //   createDataOjectRequest();

  // }
  // function createDataOjectRequest(){
  //   gObjectRequest.kichCo = gSelectedMenuStructure.menuName;
  //   gObjectRequest.duongKinh = gSelectedMenuStructure.duongKinhCM;
  //   gObjectRequest.suon = gSelectedMenuStructure.suongNuong;
  //   gObjectRequest.salad = gSelectedMenuStructure.saladGr;
  //   gObjectRequest.loaiPizza = gOder.loaiPizza;
  //   gObjectRequest.idVourcher = gOder.voucherId;
  //   var vDrink = document.getElementById("select-drink");
  //   gObjectRequest.idLoaiNuocUong = vDrink.value;
  //   gObjectRequest.soLuongNuoc = gSelectedMenuStructure.drink;
  //   gObjectRequest.hoTen = gOder.hoVaTen;
  //   gObjectRequest.thanhTien = gOder.priceAnnualVND;
  //   gObjectRequest.email = gOder.email;
  //   gObjectRequest.soDienThoai = gOder.dienThoai;
  //   gObjectRequest.diaChi = gOder.diaChi;
  //   gObjectRequest.loiNhan = gOder.loiNhan;

  //   var vXmlHttpCreateOrder = new XMLHttpRequest();
  //       vXmlHttpCreateOrder.open("POST", gBASE_URL, true);
  //       vXmlHttpCreateOrder.setRequestHeader("Content-Type", "application/json;charset=UTF-8");
  //       vXmlHttpCreateOrder.send(JSON.stringify(gObjectRequest));
  //       vXmlHttpCreateOrder.onreadystatechange =
  //           function () {
  //             if (this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && this.status == gREQUEST_CREATE_SUCCESS) { // status 201 tao thanh cong
  //               var vCreatedOrder = vXmlHttpCreateOrder.responseText;
  //               console.log(vCreatedOgetDrinkListrder);
  //               hienThiMaDonHang(vCreatedOrder);
  //             }
  //           }
  // }
  // function hienThiMaDonHang(paramXmlttp){
  //   var vXmlObj = JSON.parse(paramXmlttp);
  //   var vDisplayDiv = document.getElementById("div-container-order-result");
  //   var vInpOrder = document.getElementById("inp-ma-don-hang");
  //   vInpOrder.value = vXmlObj.orderId;
  //   vDisplayDiv.style.display = "block";
  //   var vButtonOrderDetail = document.getElementById("order-detail");
  //   vButtonOrderDetail.setAttribute("data-id",vXmlObj.id)
  //   vButtonOrderDetail.setAttribute("data-orderId",vXmlObj.orderId);
  //   vButtonOrderDetail.setAttribute("onclick","BtnOrderDetailClick(this)");
  // }
  // function BtnOrderDetailClick(paramElement){
  //   var vID = paramElement.dataset.id;
  //   var vOrderID = paramElement.dataset.orderid;
  //   const vURL_DETAIL_FORM = "viewOrder.html";
  //   var vUrlOpen = vURL_DETAIL_FORM + "?orderID=" + vOrderID + "&id=" + vID;
  //   window.location.href = vUrlOpen;
  // }

  // function getDrinkList() {
  //   "use strict";
  //   var vBASE_URL ="http://42.115.221.44:8080/devcamp-pizza365/drinks";
  //   var vXhttp = new XMLHttpRequest();
  //   vXhttp.open("GET", vBASE_URL, true);
  //   vXhttp.send();
  //   vXhttp.onreadystatechange = function() {
  //       if (this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && this.status == gREQUEST_STATUS_OK) {
  //         //gọi hàm đổ dữ liệu vào select
  //         selectDrinkLoad(vXhttp);
  //       }
  //   };
  // }
  // function selectDrinkLoad(paramHttp){
  //   "use strict"
  //   var vDrinkList = JSON.parse(paramHttp.responseText);

  //   var vSelectDrink = document.getElementById("select-drink");
  //   for(var i = 0; i < vDrinkList.length; i++){
  //     //tạo mới options
  //     var bDrinkOptinsElement = document.createElement("option");
  //     bDrinkOptinsElement.value = vDrinkList[i].maNuocUong;
  //     bDrinkOptinsElement.text = vDrinkList[i].tenNuocUong;
  //     //thêm options vừa tạo vào select
  //     vSelectDrink.appendChild(bDrinkOptinsElement);
  //   }
  // }


  // function onBtnSmallClick(){
  //   "use strict"
  //   var vSelectedMenuStructure = getSelectedMenu("S ( Small size)", 20, 1, 200, 2, 150000);
  //   vSelectedMenuStructure.displayMenuStructure();

  //   changeMenuButtonColor("S");
  //   gSelectedMenuStructure = vSelectedMenuStructure;
  // }
  // //hàm thay đổi màu nút của Medium khi nhấn
  // function onBtnMediumClick(){
  //   "use strict"
  //   var vSelectedMenuStructure = getSelectedMenu("M ( Medium size)", 25, 4, 300, 3, 200000);
  //   vSelectedMenuStructure.displayMenuStructure();

  //   changeMenuButtonColor("M");
  //   gSelectedMenuStructure = vSelectedMenuStructure;
  // }
  // //hàm thay đổi màu nút của Large khi nhấn
  // function onBtnLargeClick(){
  //   "use strict"
  //   var vSelectedMenuStructure = getSelectedMenu("L ( Large size)", 30, 8, 500, 4, 250000);
  //   vSelectedMenuStructure.displayMenuStructure();

  //   changeMenuButtonColor("L");
  //   gSelectedMenuStructure = vSelectedMenuStructure;
  // }

  // function getSelectedMenu(paramMenu, paramDuongKinh, paramSuonNuong, paramDrink, paramSalad, paramPrice){
  //   "use strict"
  //   var vSelectedMenuStructure = {
  //     menuName: paramMenu,    // S, M, L
  //     duongKinhCM: paramDuongKinh,
  //     suongNuong: paramSuonNuong,
  //     saladGr: paramSalad,
  //     drink: paramDrink,
  //     priceVND: paramPrice,
  //     displayMenuStructure(){
  //         console.log("%cMenu được chọn: " + this.menuName, "color:blue");
  //         console.log("Đường kính: " + this.duongKinhCM);
  //         console.log("Sườn nướng: " + this.suongNuong);
  //         console.log("Salad: " + this.saladGr);
  //         console.log("Drink: " + this.drink);
  //         console.log("Price: " + this.priceVND);
  //     }
  //   }
  //   return vSelectedMenuStructure;
  // }

  // function changeMenuButtonColor(paramBtn){
  //   "use strict"
  //   var vBtnSmall = $("#btn-small");
  //   var vBtnMeudim = $("#btn-medium");
  //   var vBtnLarge = $("#btn-large");

  //   if(paramBtn == "S"){
  //     vBtnSmall.toggleClass("btn btn-success");
  //     vBtnMeudim.toggleClass("btn btn-danger");
  //     vBtnLarge.toggleClass("btn btn-danger");

  //   }else if(paramBtn == "M"){
  //     vBtnSmall.toggleClass("btn btn-danger");
  //     vBtnMeudim.toggleClass("btn btn-success");
  //     vBtnLarge.toggleClass("btn btn-danger");

  //   }else if(paramBtn == "L"){
  //     vBtnSmall.toggleClass("btn btn-danger");
  //     vBtnMeudim.toggleClass("btn btn-danger");
  //     vBtnLarge.toggleClass("btn btn-success");
  //   }
  // }

  // //Hàm đổi màu nút Pizza Hawai khi được chọn
  // function onBtnHawaiClick(){
  //   "use strict"
  //   gSelectedPizzaType = "Pizza Hawai";
  //   console.log("%cLoại pizza được chọn là: " + gSelectedPizzaType,"color:blue");
  //   changePizzaButtonColor("hawai");
  // }
  // //Hàm đổi màu nút Pizza hải sản khi được chọn
  // function onBtnHaiSanClick(){
  //   "use strict"
  //   gSelectedPizzaType = "Pizza hải sản";
  //   console.log("%cLoại pizza được chọn là: " + gSelectedPizzaType,"color:blue");
  //   changePizzaButtonColor("hải sản");
  // }
  // //Hàm đổi màu nút Pizza thịt nướng khi được chọn
  // function onBtnThitNuongClick(){
  //   "use strict"
  //   gSelectedPizzaType = "Pizza thịt nướng";
  //   console.log("%cLoại pizza được chọn là: " + gSelectedPizzaType,"color:blue");
  //   changePizzaButtonColor("thịt nướng");
  // }
  // function changePizzaButtonColor(paramBtn){
  //   "use strict"
  //   var vBtnHawai = document.getElementById("btn-hawai");
  //   var vBtnOcean = document.getElementById("btn-ocean");
  //   var vBtnThit = document.getElementById("btn-thit");

  //   if(paramBtn == "hawai"){
  //     vBtnHawai.className = "btn btn-warning w-100";
  //     vBtnOcean.className = "btn btn-info w-100";
  //     vBtnThit.className = "btn btn-info w-100";

  //   }else if(paramBtn == "hải sản"){
  //     vBtnHawai.className = "btn btn-info w-100";
  //     vBtnOcean.className = "btn btn-warning w-100";
  //     vBtnThit.className = "btn btn-info w-100";

  //   }else if(paramBtn == "thịt nướng"){
  //     vBtnHawai.className = "btn btn-info w-100";
  //     vBtnOcean.className = "btn btn-info w-100";
  //     vBtnThit.className = "btn btn-warning w-100"; 
  //   }
  // }

  // function getSelectedOder(paramOrder){
  //   "use strict"
  //   var vInpHoVaTen = document.getElementById("inp-fullname"); // truy xuất phần tử input thông qua thuộc tính id
  //   var vInpEmail = document.getElementById("inp-email");
  //   var vInpDienThoai = document.getElementById("inp-dien-thoai");
  //   var vInpDiaChi = document.getElementById("inp-dia-chi");
  //   var vInpLoiNhan = document.getElementById("inp-message");
  //   var vInpVoucherId = document.getElementById("inp-voucher");

  //   paramOrder.menuDuocChon = gSelectedMenuStructure; // gán giá trị cho thuộc tính của object paramOrder
  //   paramOrder.loaiPizza = gSelectedPizzaType;
  //   paramOrder.hoVaTen = vInpHoVaTen.value.trim();
  //   paramOrder.email = vInpEmail.value.trim();
  //   paramOrder.dienThoai = vInpDienThoai.value.trim();
  //   paramOrder.diaChi = vInpDiaChi.value.trim();
  //   paramOrder.loiNhan =  vInpLoiNhan.value.trim();
  //   paramOrder.voucherId = vInpVoucherId.value.trim();
  // }

  // function kiemTraDataOrder(paramOder){
  //   "use strict"
    
  //   if(paramOder.menuDuocChon.menuName == ""){
  //     alert("Bạn phải chọn Menu!");
  //     return false;

  //   }else if(paramOder.loaiPizza == ""){
  //     alert("Bạn phải chọn loại Pizza!");
  //     return false;
      
  //   }else if(!checkDrink()){
  //     alert("Bạn chưa chọn đồ uống!");
  //     return false;
  //   }
  //   else if(paramOder.hoVaTen == ""){
  //     alert("Bạn phải nhập họ và tên!");
  //     return false;

  //   }else if(!kiemTraEmail(paramOder.email)){
  //     alert("Email phải chứa @ và không bắt đầu hoặc kết thúc bằng @!")
  //     return false;

  //   }else if(paramOder.dienThoai == ""){
  //     alert("Bạn phải nhập số điện thoại!");
  //     return false;

  //   }else if(paramOder.diaChi == ""){
  //     alert("Bạn phải nhập địa chỉ!");
  //     return false;

  //   }else if(!checkVoucher(gOder)){
  //     return false;
  //   }
  //   return true;
  // }
  // //Hàm KTra Email
  // function kiemTraEmail(paramEmail){
  //   "use strict"
  //   if(!paramEmail.includes("@")){ // nếu email không chứ @ thì trả về giá trị false
  //     return false;

  //   }else if(paramEmail.startsWith("@")){// nếu email bắt đầu bằng @ thì trả về giá trị false
  //     return false;

  //   }else if(paramEmail.endsWith("@")){// nếu email kết thúc bằng @ thì trả về giá trị false
  //     return false;

  //   }
  //   return true;
  // }
  // function displayOrder(paramOder){
  //   "use strict"
  //   var vDisplayDiv = document.getElementById("div-container-order");
  //   var vDivInfo = document.getElementById("div-order-infor");
  //   vDisplayDiv.style.display = "block"; // phần bị ẩn sẽ hiển thị lên
  //   var vHtml = "";

  //   vHtml += "Họ và tên: " + paramOder.hoVaTen;
  //   vHtml += "<br>Email: " + paramOder.email;
  //   vHtml += "<br>Số điện thoại: " + paramOder.dienThoai;
  //   vHtml += "<br>Địa chỉ: " + paramOder.diaChi;
  //   vHtml += "<br>Lời nhắn: " + paramOder.loiNhan;
  //   vHtml += "<br>-----------------------------";
  //   vHtml += "<br>Kích cỡ: " + paramOder.menuDuocChon.menuName;
  //   vHtml += "<br>Đường kính: " + paramOder.menuDuocChon.duongKinhCM;
  //   vHtml += "<br>Sườn nướng: " + paramOder.menuDuocChon.suongNuong;
  //   vHtml += "<br>Salad: " + paramOder.menuDuocChon.saladGr;
  //   vHtml += "<br>Nước ngọt: " + paramOder.menuDuocChon.drink;
  //   vHtml += "<br>-----------------------------";
  //   vHtml += "<br>Loại Pizza: " + paramOder.loaiPizza; // vHtml += "<br>Loại Pizza: " + gSelectedPizzaType;
  //   vHtml += "<br>Mã Voucher: " + paramOder.voucherId;
  //   vHtml += "<br>Giá vnd: " + paramOder.menuDuocChon.priceVND;
  //   vHtml += "<br>Discount %: " + gDiscount;
  //   vHtml += "<br>Phải thanh toán: " + paramOder.priceAnnualVND();

  //   vDivInfo.innerHTML = vHtml;
  // }
  // //Hàm hiển thị thông tin Order ra console
  // function displayOderInConsole(paramOder){
  //   "use strict"
  //   console.log("%cKhi nhấn nút Gửi đơn thì ghi tất cả thông tin ra console", "color: blue");
  //   console.log("Họ và tên: " + paramOder.hoVaTen);
  //   console.log("Email: " + paramOder.email);
  //   console.log("Số điện thoại: " + paramOder.dienThoai);
  //   console.log("Địa chỉ: " + paramOder.diaChi);
  //   console.log("Lời nhắn: " + paramOder.loiNhan);
  //   console.log("%c-----------------------------", "color: green");
  //   console.log("Kích cỡ: " + paramOder.menuDuocChon.menuName);
  //   console.log("Đường kính: " + paramOder.menuDuocChon.duongKinhCM);
  //   console.log("Sườn nướng: " + paramOder.menuDuocChon.suongNuong);
  //   console.log("Salad: " + paramOder.menuDuocChon.saladGr);
  //   console.log("Nước ngọt: " + paramOder.menuDuocChon.drink);
  //   console.log("%c-----------------------------", "color: green");
  //   console.log("Loại Pizza: " + paramOder.loaiPizza);
  //   console.log("Mã Voucher: " + paramOder.voucherId);
  //   console.log("Giá vnd: " + paramOder.menuDuocChon.priceVND);
  //   console.log("Discount %: " + gDiscount);
  //   console.log("Phải thanh toán: " + paramOder.priceAnnualVND());
  // }
  // function checkVoucher(paramOder){
  //   "use strict";
  //   if(paramOder.voucherId == ""){
  //     gDiscount = 0;
  //     return true;
  //   }else {  //Một số mã voucher đúng, bạn có thể dùng: 12354, 10056, 50516, 70651, 40381
  //     const vBASE_URL =  "http://42.115.221.44:8080/devcamp-voucher-api/voucher_detail/";
  //     var vVoucherId = paramOder.voucherId;  //một số mã đúng để test: 95531, 81432,...lưu ý test cả mã sai
  //     // nếu mã giảm giấ đã nhập, tạo vXmlHttp request và gửi về server
  //     var vXmlHttp = new XMLHttpRequest();
  //     vXmlHttp.open( "GET",  vBASE_URL + vVoucherId, false);
  //     vXmlHttp.send();
  //     if(vXmlHttp.status == gREQUEST_STATUS_OK) { // restFullAPI successful
  //         // nhận lại response dạng JSON ở vXmlHttp.responseText và chuyển thành object
  //         console.log(vXmlHttp.responseText); 
  //         gDiscountVouchers = JSON.parse(vXmlHttp.responseText);
  //         gDiscount = gDiscountVouchers.phanTramGiamGia;
  //         return true;         
  //     } 
  //     else {
  //         // không nhận lại được data do vấn đề gì đó: khả năng mã voucher ko dúng
  //         alert("Mã voucher không đúng!");
  //         var vDisplayDiv = document.getElementById("div-container-order");
  //         vDisplayDiv.style.display = "none";
  //         return false;
  //     }
  //   }
  // }
  // function checkDrink(){
  //   var vIdDrink = document.getElementById("select-drink");
  //   var vDrinkValue = vIdDrink.value;
  //   if (vDrinkValue == 0){
  //     //alert("Chưa chọn nước uống");
  //     return false
  //   }
  //   return true;
  // }




  </script>
</body>

</html>